=== debian/control ===
Source: ros-indigo-micros-mars-task-alloc
Section: misc
Priority: extra
Maintainer: Minglong Li <minglong_l@163.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-kobuki-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-micros-mars-task-alloc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-kobuki-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: The micros_mars_task_alloc package
